## org.hibernate.cache.infinispan.util
Class AddressAdapterImpl

    java.lang.Object
      org.hibernate.cache.infinispan.util.AddressAdapterImpl

All Implemented Interfaces:
  Externalizable, Serializable, AddressAdapter

    public class AddressAdapterImpl

extends Object
implements AddressAdapter, Externalizable

AddressAdapterImpl.

Since:
  3.5
See Also:
  Serialized Form

Constructor Summary
`AddressAdapterImpl()`
`AddressAdapterImpl(org.infinispan.remoting.transport.Address address)`

Method Summary
`boolean` `equals(Object obj)`
`int` `hashCode()`
`void` `readExternal(ObjectInput in)`
`static List<AddressAdapter>` `toAddressAdapter(List<org.infinispan.remoting.transport.Address> ispnAddresses)`
`void` `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressAdapterImpl

    public AddressAdapterImpl()

### AddressAdapterImpl

    public AddressAdapterImpl(org.infinispan.remoting.transport.Address address)

Method Detail

### toAddressAdapter

    public static List<AddressAdapter> toAddressAdapter(List<org.infinispan.remoting.transport.Address> ispnAddresses)

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.